6.0.0-git
2021-01-19

[#3288] Add proxy support to Horde Framework Auth/Auth.php
Summary Add proxy support to Horde Framework Auth/Auth.php
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester eric.rostetter (at) physics (dot) utexas (dot) edu
Created 2006-01-18 (5480 days ago)
Due
Updated 2006-01-18 (5480 days ago)
Assigned 2006-01-18 (5480 days ago)
Resolved 2006-01-18 (5480 days ago)
Milestone
Patch No

History
2006-01-18 11:55:18 Jan Schneider Comment #2
State ⇒ Resolved
Reply to this comment
Fixed.
2006-01-18 05:16:16 Chuck Hagenbuch Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2006-01-18 04:05:40 Eric Rostetter Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Add proxy support to Horde Framework Auth/Auth.php
Queue ⇒ Horde Framework Packages
Reply to this comment
I use a proxy in front of my web mail, so the last_login always shows 
as the proxy instead of the user's actual IP.  The following fixes it. 
  May not be the best patch, but it works for me...



RCS file: /repository/framework/Auth/Auth.php,v

retrieving revision 1.142.10.19

diff -u -r1.142.10.19 Auth.php

--- Auth.php    1 Jan 2006 21:28:07 -0000       1.142.10.19

+++ Auth.php    18 Jan 2006 04:04:23 -0000

@@ -724,6 +724,8 @@

          // Set the user's last_login information.

          $last_login = array('time' => time(),

                              'host' => 
@gethostbyaddr($_SERVER['REMOTE_ADDR']));

+        if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))

+           $last_login->host = $_SERVER['HTTP_X_FORWARDED_FOR'];

          $GLOBALS['prefs']->setValue('last_login', serialize($last_login));



          if ($changeRequested) {




Saved Queries